Bug 510147 - clean up the replication log msg: remove the repeated (not harmful) log message
clean up the replication log msg: remove the repeated (not harmful) log message
Status: CLOSED CURRENTRELEASE
Product: Red Hat Directory Server
Classification: Red Hat
Component: Replication - General (Show other bugs)
9.0
All Linux
low Severity low
: ---
: ---
Assigned To: Noriko Hosoi
Viktor Ashirov
:
Depends On:
Blocks: 434914 389_1.2.1
  Show dependency treegraph
 
Reported: 2009-07-07 17:07 EDT by Yi Zhang
Modified: 2016-05-06 10:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-06 10:38:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
git patch file for cl5_api.c (1.97 KB, patch)
2009-07-20 19:10 EDT, Noriko Hosoi
no flags Details | Diff

  None (edit)
Description Yi Zhang 2009-07-07 17:07:27 EDT
Description of problem:
When replication log level is set, the following type of error msg is repeated over and over again. Even this is not harmful, it is better not repeat so frequently. 

[07/Jul/2009:13:31:10 -0400] NSMMReplicationPlugin - changelog program - libdb: txn_checkpoint: failed to flush the buffer cache No such file or directory
[07/Jul/2009:13:31:10 -0400] NSMMReplicationPlugin - changelog program - libdb: 3418731e-1dd211b2-abb6a34d-7f950000_4a53852600005e320000.db4: unable to flush: No such file or directory


Version-Release number of selected component (if applicable): 8.1


How reproducible: always

Steps to Reproduce:
1. setup replication and make sure it works
2. stop one of the host, import some data with ldif2db cmd
3. start the same host, and we will see such msg
  
Actual results:


Expected results:


Additional info: I already discussed with Noriko. This is a low priority bug. (But she is still going to fix it )
Comment 1 Noriko Hosoi 2009-07-20 19:10:52 EDT
Created attachment 354405 [details]
git patch file for cl5_api.c

File: ldap/servers/plugins/replication/cl5_api.c

Fix Description:
 _cl5DBOpen removes a changelog db if there is no matching replica for the file.
 The manner to remove the changelog db file was not good -- not using the API
 that Berkeley DB provided, but removing it with NSPR delete function PR_Delete.
 This fix replaces PR_Delete with the Berkeley DB API dbremove.
Comment 2 Noriko Hosoi 2009-07-20 19:11:57 EDT
Reviewed by Nathan (Thank you!!)

Pushed to master.

$ git merge bug
Updating 654c622..8da0713
Fast forward
 ldap/servers/plugins/replication/cl5_api.c |   17 +++++++++--------
 1 files changed, 9 insertions(+), 8 deletions(-)
$ git push
Counting objects: 13, done.
Compressing objects: 100% (7/7), done.
Writing objects: 100% (7/7), 921 bytes, done.
Total 7 (delta 5), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   654c622..8da0713  master -> master
Comment 3 Chandrasekar Kannan 2010-06-22 18:17:57 EDT
no such error messages were seen after following these steps.

1. setup replication and make sure it works. 
1a. set replication log level via console.
2. stop one of the host, import some data with ldif2db cmd
3. start the same host, and we will see such msg


marking bug verified with these builds:

mozldap-6.0.5-1.el5.x86_64
perl-Mozilla-LDAP-1.5.2-4.el5.x86_64
mozldap-tools-6.0.5-1.el5.x86_64
redhat-ds-base-8.2.0-3.el5dsrv.x86_64
adminutil-1.1.8-2.el5dsrv.x86_64
redhat-ds-admin-8.2.0-3.el5dsrv.x86_64
ldapjdk-4.18-2jpp.4.el5idm.x86_64
jss-4.2.6-6.el5idm.x86_64
idm-console-framework-1.1.5-1.el5idm.noarch
redhat-idm-console-1.0.2-1.el5idm.x86_64
redhat-admin-console-8.2.0-2.el5dsrv.noarch
redhat-ds-console-8.2.0-4.el5dsrv.noarch
redhat-ds-8.2.0-2.el5dsrv.x86_64
redhat-ds-base-8.2.0-3.el5dsrv.x86_64

Note You need to log in before you can comment on or make changes to this bug.